Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Enumerations
security Module Reference

Security Configuration More...

## Classes
struct | BlockSettings
| User blocking settings. More...
struct | FrontPanelPrivilegesChanged
| Front panel privileges have been changed. More...
struct | IpFw
| IP packet filter configuration. More...
struct | IpfwRule
| IP packet filter rule. More...
struct | PasswordSettings
| Password settings. More...
struct | PasswordSettingsChanged
| This Event is emitted after any of the password-settings has been changed. More...
struct | RestrictedServiceAgreement
| Restricted Service Agreement settings. More...
struct | RoleAccessControl
| Role-based access control settings. More...
struct | RoleAccessRule
| Role-based access rule. More...
interface | Security
| Security configuration interface More...
struct | SSHHostKey
| SSH host keys. More...
struct | SSHKeyFingerprint
| Fingerprints of SSH host key. More...
struct | SSHSettings
| SSH authentication settings. More...
struct | TpmInfo
| Information about Trusted Platform Module. More...

## Enumerations
enum | IpfwPolicy { ACCEPT , DROP , REJECT }
| IP packet filter policy. More...
enum | RoleAccessPolicy { ALLOW , DENY }
| Role-based access policy. More...
enum | SSHHostKeyType { SSH_HOST_KEY_TYPE_RSA , SSH_HOST_KEY_TYPE_ECDSA , SSH_HOST_KEY_TYPE_ED25519 }
| Type of SSH host key.
enum | SSHKeyFingerprintType { SSH_KEY_FPRINT_TYPE_MD5_HEX , SSH_KEY_FPRINT_TYPE_SHA256_BASE64 , SSH_KEY_FPRINT_TYPE_UNKNOWN }
| Type of SSH key fingerprint.

## Detailed Description

Security Configuration

## Enumeration Type Documentation

## ◆ IpfwPolicy

enum security::IpfwPolicy

IP packet filter policy.

Enumerator
ACCEPT | Accept the packet.
DROP | Silently discard the packet.
REJECT | Discard packet, send error response.

## ◆ RoleAccessPolicy

enum security::RoleAccessPolicy

Role-based access policy.

Enumerator
ALLOW | Access granted.
DENY | Access denied.